Description

using postman /issues/15658/relations.json

with headers

Content-Type:application/json

X-Redmine-API-Key:...

and payload

{

    "relations": [

        {

            "issue_id":"15657",

            "relation_type":"follows",

            "delay": 0

        }

    ]

}

 always returns 422 with error message

{

    "errors": [

        "Related issue cannot be blank" 

    ]

}

 what is wrong here, i tried mulitple structures. API documentation for issue relation is very unclear about that.

History

#1 - 2018-06-27 08:26 - Mizuki ISHIKAWA

Could you please change it as follows and try it out.

With my environment this worked out.

{

    "relation": {

            "issue_to_id":"15657",

            "relation_type":"follows",

            "delay": 0

      }

}

#2 - 2018-06-27 08:38 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Eser Esen

#3 - 2018-06-27 15:20 - Eser Esen

Yes it worked, but does that mean, i cannot add multiple relations with one shot? looking at the api doc it looks like it is handling arrays of relations.
Thanks

#4 - 2018-06-28 03:57 - Mizuki ISHIKAWA

Thank you for your confirmation.

I read the code, but the current Issue Relation create API seems not to support to multiple structures.

Eser Esen wrote:

Yes it worked, but does that mean, i cannot add multiple relations with one shot? looking at the api doc it looks like it is handling arrays of

relations.

 Could you tell me the URL of the api document it looks like it is handling arrays of relations? I could not find it.

Also, I thought that the title of this issue was better for "API: Multiple Issue Relation create does not work".

#5 - 2018-06-28 09:36 - Eser Esen

Hi the URL is https://www.redmine.org/projects/redmine/wiki/Rest_IssueRelations

Looking at it again, the GET method actually returns arrays, while the POST one fits to the one you provided.

Would be good, if someone could add xml/json examples.
